MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0024091Open CASCADE[OCCT] OCCT:Foundation Classespublic2013-07-30 11:292016-11-03 17:01
Reporterkgv 
Assigned Toabv 
PrioritynormalSeverityminor 
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version 
Target Version[OCCT] 7.0.0Fixed in Version[OCCT] 7.0.0 
Summary0024091: DEB usage in public headers
DescriptionCurrently we have several public headers that use DEB macros to change behavior for debug builds. Most noticeable are:
- Standard_Assert.hxx, defines behavior of Standard_ASSERT
- TDF_LabelNode.hxx, adds TDF_LabelNode::myDebugEntry class field

Since DEB is not commonly adapted (many projects based on OCCT do not define this macro), it may cause problems.

Maybe we should document this macro better or restrict it usage for internal purposes?
TagsNo tags attached.
Test case numberNot needed
Attached Files

- Relationships
related to 0022972closedkgv Open CASCADE Eliminate macro definitions that has compiler-provided analogs (WNT and so on) 
related to 0022929closedbugmaster Community [Coding Rules] Eliminate debug output 
related to 0025418closedbugmaster Community Debug output to be limited to OCC development environment 

-  Notes
(0059862)
abv (manager)
2016-11-03 16:48

Macros DEB have been eliminated in OCCT at least in 7.0, thus closing this issue. The remaining points, if any, will be done within 0022929

- Issue History
Date Modified Username Field Change
2013-07-30 11:29 kgv New Issue
2013-07-30 11:29 kgv Assigned To => abv
2013-12-21 10:13 abv Target Version 6.7.0 => 6.7.1
2014-03-17 16:20 apn Test case number => Not needed
2014-03-17 16:49 kgv Relationship added related to 0022972
2014-04-04 18:09 abv Target Version 6.7.1 => 6.8.0
2014-09-11 09:47 abv Target Version 6.8.0 => 7.1.0
2014-10-28 04:26 abv Relationship added related to 0022929
2015-09-09 11:50 abv Relationship added related to 0025418
2015-09-09 11:50 abv Relationship added related to 0025266
2016-11-03 16:48 abv Note Added: 0059862
2016-11-03 16:48 abv Fixed in Version => 7.0.0
2016-11-03 16:48 abv Target Version 7.1.0 => 7.0.0
2016-11-03 17:01 abv Status new => closed
2016-11-03 17:01 abv Resolution open => fixed


Copyright © 2000 - 2019 MantisBT Team
Powered by Mantis Bugtracker